跳转到内容

一份法律文本(已渲染)

GET
/v1/legal/{kind}
curl --request GET \
--url 'https://api.vimine.network/v1/legal/example?locale=it'

某一类型的现行版本(或用 ?version= 获取某个存档版本),占位符已用平台运营方的身份信息和子处理者登记表填充。?locale=it|en,缺少该语言时回退到意大利语(以意大利语文本为准)。面向租户的模板(DPA 及其附件)在应填入协会自身数据的位置显示通用标签。

kind
必填

文件类型

string
locale
string
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
version

某个特定的已发布版本

string

文件

媒体类型application/json
object
uid
string 格式: uuid
kind
必填

文件类型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)

string
locale
必填
string
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
version
必填

版本标签(1.0、1.1、…)

string
title
必填
string
summary

此版本的变更内容

string
可为 null
effective_from
string 格式: date-time
可为 null
retired_at
string 格式: date-time
可为 null
sha256

规范模板正文的 SHA-256

string
可为 null
current
必填

这是该类型在其语言中的现行版本

boolean
requires_reacceptance
boolean
kind_title
string
rendered_sha256

渲染后文本的 SHA-256(占位符已填充),即接受时记录的值

string
content_md
必填

渲染后的文本,Markdown 格式。其版本和生效日期分别为 version 和 effective_from,文本中不再重复:请在旁边显示

string
content_html
必填

渲染后的文本,HTML 格式(不允许原始 HTML 通过;链接仅限 http(s)/mailto)

string
data

由数据生成的文件的结构化快照(某一附件 3 版本的子处理者登记表)

object
document_url

对应的 PDF 版本(已发布时)

string 格式: uri
可为 null
notice_days
integer
versions
必填
Array<object>
object
version
string
effective_from
string 格式: date-time
可为 null
retired_at
string 格式: date-time
可为 null
sha256
string
可为 null
current
boolean
示例
{
"locale": "it"
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

没有此类型的已发布文件

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}